%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  simulMGF
%global packver   0.1.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.1
Release:          1%{?dist}%{?buildtag}
Summary:          Simulate SNP Matrix, Phenotype and Genotypic Effects

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch

%description
Simulate genotypes in SNP (single nucleotide polymorphisms) Matrix as
random numbers from an uniform distribution, for diploid organisms (coded
by 0, 1, 2), Sikorska et al., (2013) <doi:10.1186/1471-2105-14-166>, or
half-sib/full-sib SNP matrix from real or simulated parents SNP data,
assuming mendelian segregation. Simulate phenotypic traits for real or
simulated SNP data, controlled by a specific number of quantitative trait
loci and their effects, sampled from a Normal or an Uniform distributions,
assuming a pure additive model. This is useful for testing association and
genomic prediction models or for educational purposes.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
